Bug 1308354 - Review Request: erlang-hamcrest - A framework for writing matcher objects using declarative rules
Review Request: erlang-hamcrest - A framework for writing matcher objects usi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-14 11:38 EST by Peter Lemenkov
Modified: 2016-03-11 08:27 EST (History)
2 users (show)

See Also:
Fixed In Version: erlang-hamcrest-0.1.0-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-11 08:27:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbarlow: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2016-02-14 11:38:56 EST
Spec URL: https://peter.fedorapeople.org/erlang-hamcrest.spec
SRPM URL: https://peter.fedorapeople.org/erlang-hamcrest-0.1.0-1.fc23.src.rpm
Description: Hamcrest is a framework for writing matcher objects allowing 'match' rules to
be defined declaratively. There are a number of situations where matchers are
invaluable, such as UI validation, or data filtering, but it is in the area of
writing flexible tests that matchers are most commonly used.
Fedora Account System Username: peter
Comment 1 Upstream Release Monitoring 2016-02-14 12:35:45 EST
peter's scratch build of erlang-hamcrest-0.1.0-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12984096
Comment 2 Upstream Release Monitoring 2016-02-14 12:52:49 EST
peter's scratch build of erlang-hamcrest-0.1.0-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12984219
Comment 3 Upstream Release Monitoring 2016-02-14 12:59:55 EST
peter's scratch build of erlang-hamcrest-0.1.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12984268
Comment 5 Randy Barlow 2016-02-15 12:21:34 EST
ACCEPTED so long as you fix the !'s in the MUST section below.

I added an rbarlow section at the end, but you can consider them
suggestions and not requirements. If you want to keep it the way it is,
that's fine by me!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 7 files have unknown
     license. Detailed output of licensecheck in /home/rbarlow/1308354
     -erlang-hamcrest/licensecheck.txt
     rbarlow: you can write MIT and BSD to fix this.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/erlang/lib/hamcrest-0.1.0/include
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/lib64/erlang/lib/hamcrest-0.1.0/include
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

These are are your option:
rbarlow items:
[!]: Consider using the _erlibdir macro instead of libdir/erlang/lib.
[!]: Consider using the rebar macro instead of rebar directly.
[!]: There's an rpmlint error about the summary being too long.


Rpmlint
-------
Checking: erlang-hamcrest-0.1.0-2.fc24.x86_64.rpm
          erlang-hamcrest-0.1.0-2.fc24.src.rpm
erlang-hamcrest.x86_64: W: spelling-error Summary(en_US) matcher -> marcher, matches, catcher
erlang-hamcrest.x86_64: W: spelling-error Summary(en_US) declaratively -> declarative, decoratively, relatively
erlang-hamcrest.x86_64: E: summary-too-long C A framework for writing matcher objects allowing 'match' rules to be defined declaratively
erlang-hamcrest.x86_64: W: spelling-error %description -l en_US matcher -> marcher, matches, catcher
erlang-hamcrest.x86_64: W: spelling-error %description -l en_US declaratively -> declarative, decoratively, relatively
erlang-hamcrest.x86_64: W: spelling-error %description -l en_US matchers -> marchers, matches, catchers
erlang-hamcrest.x86_64: E: no-binary
erlang-hamcrest.x86_64: W: only-non-binary-in-usr-lib
erlang-hamcrest.src: W: spelling-error Summary(en_US) matcher -> marcher, matches, catcher
erlang-hamcrest.src: W: spelling-error Summary(en_US) declaratively -> declarative, decoratively, relatively
erlang-hamcrest.src: E: summary-too-long C A framework for writing matcher objects allowing 'match' rules to be defined declaratively
erlang-hamcrest.src: W: spelling-error %description -l en_US matcher -> marcher, matches, catcher
erlang-hamcrest.src: W: spelling-error %description -l en_US declaratively -> declarative, decoratively, relatively
erlang-hamcrest.src: W: spelling-error %description -l en_US matchers -> marchers, matches, catchers
erlang-hamcrest.src:17: W: macro-in-comment %{upstream}
erlang-hamcrest.src:17: W: macro-in-comment %{realname}
erlang-hamcrest.src:17: W: macro-in-comment %{version}
erlang-hamcrest.src:17: W: macro-in-comment %{realname}
erlang-hamcrest.src:17: W: macro-in-comment %{version}
erlang-hamcrest.src:33: W: macro-in-comment %setup
erlang-hamcrest.src:33: W: macro-in-comment %{realname}
erlang-hamcrest.src:33: W: macro-in-comment %{version}
2 packages and 0 specfiles checked; 3 errors, 19 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
erlang-hamcrest.x86_64: W: spelling-error Summary(en_US) matcher -> marcher, matches, catcher
erlang-hamcrest.x86_64: W: spelling-error Summary(en_US) declaratively -> declarative, decoratively, relatively
erlang-hamcrest.x86_64: E: summary-too-long C A framework for writing matcher objects allowing 'match' rules to be defined declaratively
erlang-hamcrest.x86_64: W: spelling-error %description -l en_US matcher -> marcher, matches, catcher
erlang-hamcrest.x86_64: W: spelling-error %description -l en_US declaratively -> declarative, decoratively, relatively
erlang-hamcrest.x86_64: W: spelling-error %description -l en_US matchers -> marchers, matches, catchers
erlang-hamcrest.x86_64: E: no-binary
erlang-hamcrest.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 2 errors, 6 warnings.



Requires
--------
erlang-hamcrest (rpmlib, GLIBC filtered):
    erlang-erts(x86-64)
    erlang-stdlib(x86-64)



Provides
--------
erlang-hamcrest:
    erlang-hamcrest
    erlang-hamcrest(x86-64)



Source checksums
----------------
https://github.com/hyperthunk/hamcrest-erlang/archive/908a24fda4a46776a5135db60ca071e3d783f9f6/hamcrest-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : d85a87447ea5e785ba6a3a2356122548c2a0cb759a57f42160146746145d4a01
  CHECKSUM(SHA256) upstream package : d85a87447ea5e785ba6a3a2356122548c2a0cb759a57f42160146746145d4a01


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1308354
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Peter Lemenkov 2016-02-15 16:27:10 EST
Thanks, Randy!
Comment 7 Gwyn Ciesla 2016-02-16 09:06:10 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/erlang-hamcrest
Comment 8 Peter Lemenkov 2016-02-16 10:10:51 EST
Thanks everyone!
Comment 9 Fedora Update System 2016-03-01 16:53:58 EST
erlang-hamcrest-0.1.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee6c679b3c
Comment 10 Fedora Update System 2016-03-02 07:52:00 EST
erlang-hamcrest-0.1.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee6c679b3c
Comment 11 Fedora Update System 2016-03-11 08:27:18 EST
erlang-hamcrest-0.1.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.